## ros-indigo-segbot-description 0.3.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(segbot_description)

find_package(catkin REQUIRED)
catkin_package()

#install all directories
foreach(dir gazebo meshes robots urdf)
  install(DIRECTORY ${dir}/ 
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-segbot-description (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-description (0.3.4-0trusty) trusty; urgency=high

  * fixed hokuyo location in segbot v2 and segbot v3.
  * updated for hokuyo on segbot v3
  * some more updates to segbot_v3.
  * added a mount for the velodyne, along with necessary dependencies.
  * fixed segbot v3 urdf file.
  * fixed the basic segbot v3 description, which is now ready for supplanting the chassis. fixed the segbot v3 controller.
  * removed redundant arm urdf file from segbot_description.
  * chasis for the arm version of the robot
  * updated and added segbot_v2.arm. fixed some issues with previous commit. closes #34 <https://github.com/utexas-bwi/segbot/issues/34>.
  * updated segbot_v2 to use independent sensor plate mount. see #34 <https://github.com/utexas-bwi/segbot/issues/34>
  * Contributors: Jivko Sinapov, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-description (0.3.3-0trusty) trusty; urgency=high

  * fixed long standing issue of robot not rotating in place correctly using gazebo_ros_planar_move.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-description (0.3.2-0trusty) trusty; urgency=high

  * added sensor plate and sonars to tf tree for segbot v2.
  * make standoff urdf more generic. dropped the 632 suffix and added radius as a parameter
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-description (0.3.1-0trusty) trusty; urgency=high

  * removed redundant segbot v1 models.
  * added new segbot v2 model URDF.
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-description (0.3.0-0trusty) trusty; urgency=high

  * modified simple robot model in gazebo to be more accurate while still being able to detect other robots.
  * temp update to change range of hokuyo in simulation.
  * added the kinect.dae mesh that was missing in the meshes folder of segbot_description package
  * Contributors: Jivko Sinapov, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 14 Mar 2015 05:00:00 -0000

ros-indigo-segbot-description (0.2.1-0trusty) trusty; urgency=high

  * fix some problems catkin_lint discovered

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 24 Apr 2014 05:00:00 -0000

ros-indigo-segbot-description (0.2.0-0trusty) trusty; urgency=high

  * Release to Hydro.
  * segbot_description: correct height of hokuyo in other robots.
  * segbot_description: coordinate corrections for sensor_mount and
    hokuyo.
  * Add sensor mount top plate, still approximate.
  * segbot_description: add approximate location of sensor mount.
  * segbot_description: add chassis mount plate.
  * Add launch file for displaying xacro files.
  * Updated descriptions and licensing information

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 17 Apr 2014 05:00:00 -0000

ros-indigo-segbot-description (0.1.9-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 15 Dec 2013 06:00:00 -0000

ros-indigo-segbot-description (0.1.8-0trusty) trusty; urgency=high

  * added configuration with both the hokuyo and kinect in it
  * segbot_description: add empty new change entry
  * Contributors: Jack O'Quin, Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 04 Dec 2013 06:00:00 -0000

ros-indigo-segbot-description (0.1.7-0trusty) trusty; urgency=high

  * increasing inertia to keep robot vertical when using gazebo_ros_planar_move

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-description (0.1.6-0trusty) trusty; urgency=high

  * increased model height to make the robots more visible in gazebo
  * added inertial and collision changes that make the robot move properly under the simple model assumption in gazebo. The collision model of the robot no longer receives returns from the laser.
  * significantly cleaned up segbot_description. need new version of xacro to be released before merging with devel. closes #7 <https://github.com/utexas-bwi/segbot/issues/7>, #12 <https://github.com/utexas-bwi/segbot/issues/12>
  * moved plugins to new version in gazebo_plugins. closes #13 <https://github.com/utexas-bwi/segbot/issues/13>

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 13 Aug 2013 05:00:00 -0000

ros-indigo-segbot-description (0.1.5-0trusty) trusty; urgency=high

  * cleaned up and alphabetized cmake and package description files
  * reverting visual plugin change until pull request makes it to gazebo. See #21 <https://bitbucket.org/osrf/sdformat/pull-request/21/patch-to-allow-parser_urdf-to-parse-visual/diff>

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-description (0.1.4-0trusty) trusty; urgency=high

  * releasing 0.1.4 with properly formatted changelogs. see #10 <https://github.com/utexas-bwi/segbot/issues/10>
  * some cmake cleanup

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot-description (0.1.3-0trusty) trusty; urgency=high

  * URDF now sets all parameters for diff_drive plugin, removing unneeded warnings
  * reverted robot radius

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot-description (0.1.0-0trusty) trusty; urgency=high

  * now using only 50 pixels for depthimage_to_laserscan
  * xacro is only required by launch files
  * catkinizing against hydro. progress towards #6 <https://github.com/utexas-bwi/segbot/issues/6>
  * ported diff drive plugin to gazebo_ros_pkgs. Cosmetic changes to the plugin are reflected here
  * reverting laptop fix while patch propogates to system gazebo release


=== debian/control ===
Source: ros-indigo-segbot-description
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/segbot_description
Standards-Version: 3.9.2

Package: ros-indigo-segbot-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pr2-description, ros-indigo-velodyne-description, ros-indigo-velodyne-gazebo-plugins, ros-indigo-xacro
Description: Contains URDF descriptions of all robot components and sensors for the segbot, as well as all the different sensor configurations for a segbot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-segbot-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
